Search documentation of tiger_stripe

# Stripe.Services.Entitlements.ActiveEntitlementService (tiger_stripe v0.1.1)

Copy Markdown View Source

ActiveEntitlement

An active entitlement describes access to a feature for a customer.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all active entitlements

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve an active entitlement

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all active entitlements

Retrieve a list of active entitlements for a customer

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve an active entitlement

Retrieve an active entitlement